tree.binarytree

## Class BreadthFirstBinaryTree

- java.lang.Object
- - tree.binarytree.RealBinaryTree
  - - tree.binarytree.BreadthFirstBinaryTree

- All Implemented Interfaces:
    CommonBase, BinaryTree

      class BreadthFirstBinaryTree
      extends RealBinaryTree
      implements BinaryTree

  Dynamická implementace binárního stromu s prohledáváním do šířky.

  Popis: nahrazuje zděděnou metodu search prohledáváním) šířky pomocí fronty.

  Užití: instance této třídy lze používat v aplikacích.

- - ### Field Summary

    - ### Fields inherited from class tree.binarytree.RealBinaryTree

      `count, current, moveCounter, parent, root, size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BreadthFirstBinaryTree(int aSize)` Vyrobí binární strom s prohledáváním do šířky.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `search(SearchCallBack callBack)` Systematicky prochází strom uzel po uzlu.

    - ### Methods inherited from class tree.binarytree.RealBinaryTree

      `finalize, getCount, getElement, getMoveCounter, hasLeftBranch, hasRightBranch, insertLeft, insertRight, isEmpty, isFull, isLeaf, isRoot, moveLeft, moveRight, moveRoot, remove, resetMoveCounter, setElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tree.binarytreeinterface.BinaryTree

      `getCount, hasLeftBranch, hasRightBranch, insertLeft, insertRight, isEmpty, isFull, isLeaf, isRoot, moveLeft, moveRight, moveRoot, remove`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Constructor Detail

    - #### BreadthFirstBinaryTree

          public BreadthFirstBinaryTree(int aSize)

      Vyrobí binární strom s prohledáváním do šířky.
      Parameters:
        `aSize` - požadovaná kapacita stromu

  - ### Method Detail

    - #### search

          public void search(SearchCallBack callBack)

      Description copied from interface: `BinaryTree`
      Systematicky prochází strom uzel po uzlu.
      Specified by:
        `search` in interface `BinaryTree`
      Overrides:
        `search` in class `RealBinaryTree`
      Parameters:
        `callBack` - objekt, který zpracuje každý uzel metodou processCurrentElement